## javax.faces.validator
Interface Validator

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DoubleRangeValidator, LengthValidator, LongRangeValidator

public interface Validator
extends java.util.EventListener

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $), Thomas Spiegl

Field Summary
`static java.lang.String` `NOT_IN_RANGE_MESSAGE_ID`

Method Summary
`void` `validate(FacesContext context, UIComponent component, java.lang.Object value)`

Field Detail

### NOT_IN_RANGE_MESSAGE_ID

    public static final java.lang.String NOT_IN_RANGE_MESSAGE_ID

See Also:
  Constant Field Values

Method Detail

### validate

    public void validate(FacesContext context,
                         UIComponent component,
                         java.lang.Object value)
                  throws ValidatorException

  Throws:
    `ValidatorException`